// @flow
import type { Node } from 'react';
import PropTypes from 'prop-types';

export type OptionProps = {
  children: string | Node,
  value: number | string,
  disabled?: boolean,
};

export const optionProptypes = {
  value: PropTypes.oneOfType([PropTypes.number, PropTypes.string]).isRequired,
  children: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  disabled: PropTypes.bool,
};
